Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.type
Interface PrimitiveType

All Superinterfaces:
  TypeMirror

    public interface PrimitiveType

extends TypeMirror

Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.

Since:
  1.5

Nested Class Summary
`static class` | `PrimitiveType.Kind` An enumeration of the different kinds of primitive types.

Method Summary
`PrimitiveType.Kind` | `getKind()` Returns the kind of primitive type that this object represents.

Methods inherited from interface com.sun.mirror.type.TypeMirror
`accept, equals, toString`

Method Detail

### getKind

    PrimitiveType.Kind getKind()

  Returns the kind of primitive type that this object represents.

  Returns:
    the kind of primitive type that this object represents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.